List Unread Notifications
curl --request GET \
--url https://semgrep.dev/api/notifications/in-app/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/notifications/in-app/deployments/{deploymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/notifications/in-app/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notifications": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"severity": "SEVERITY_INFO",
"status": "STATUS_DELIVERED",
"adminOnly": true,
"createdAt": "<string>",
"link": "<string>",
"isExternalLink": true,
"linkText": "<string>"
}
],
"cursor": "<string>"
}Notifications
List Unread Notifications
Returns a paginated list of unread notifications for a particular viewer
GET
/
api
/
notifications
/
in-app
/
deployments
/
{deploymentId}
List Unread Notifications
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Query Parameters
NOTE: TBD on the specifications of cursors & optional in Request protos.
Was this page helpful?
⌘I